<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;

class AddUpdateAgenceController extends Controller
{
    public function addAgence(Request $request) {

        $newAgence = DB::table('rh_agences')->insertGetId([
            'AGENCE_COMPTEACTIF' => $request->all()['agence_compteactif'],
            'AGENCE_TYPE' => $request->all()['agence_type'],
            'AGENCE_NOM' => $request->all()['agence_nom'],
            'AGENCE_ADRESSE' => $request->all()['agence_adresse'],
            'AGENCE_ADRESSECOMPLEMENT' => $request->all()['agence_adressecomplement'],
            'AGENCE_CODEPOSTAL' => $request->all()['agence_codepostal'],
            'AGENCE_VILLE' => $request->all()['agence_ville'],
            'AGENCE_RAISONSOCIALE' => $request->all()['agence_raisonsociale'],
            'AGENCE_STATUTJURIDIQUE' => $request->all()['agence_statutjuridique'],
            'AGENCE_CAPITAL' => $request->all()['agence_capital'],
            'AGENCE_SITEWEB' => $request->all()['agence_siteweb'],
            'AGENCE_TEL' => $request->all()['agence_tel'],
            'AGENCE_EMAIL' => $request->all()['agence_email'],
            'AGENCE_RCSVILLE' => $request->all()['agence_rcsville'],
            'AGENCE_RCSSIREN' => $request->all()['agence_rcssiren'],
            'AGENCE_ORIAS' => $request->all()['agence_orias'],
            'AGENCE_RCPRO' => $request->all()['agence_rcpro'],
            'AGENCE_RCPRONUMERO' => $request->all()['agence_rcpronumero'],
            'AGENCE_RIB' => $request->all()['agence_rib'],
            'AGENCE_IBAN' => $request->all()['agence_iban'],
            'AGENCE_MENTIONSLEGALES1' => $request->all()['agence_mentionslegales1'],
            'AGENCE_MENTIONSLEGALES2' => $request->all()['agence_mentionslegales2'],
            'AGENCE_MENTIONSLEGALES3' => $request->all()['agence_mentionslegales3'],
            'AGENCE_DATEENTREE' => $request->all()['agence_dateentree'],
            'AGENCE_DATEDERNIERRENOUVELLEMENT' => $request->all()['agence_datedernierrenouvellement'],
            'AGENCE_DATEECHEANCE' => $request->all()['agence_dateecheance'],
        ]);

        foreach ($request->all()['agence_directeurs'] as $directeurId) {

            DB::table('rh_directors')
                ->insert([
                    'DIRECTOR_FKAGENCEID' => $newAgence,
                    'DIRECTOR_FKEMPLOYEEID' => $directeurId
                ]);

        }

        return back()->withInput();
    }

    public function updateAgence(Request $request) {
  
        DB::table('rh_directors')
            ->where('DIRECTOR_FKAGENCEID', '=', $request->all()['agence_id'])
            ->delete();

        foreach ($request->all()['agence_directeurs'] as $directeurId) {

            DB::table('rh_directors')
                ->insert([
                    'DIRECTOR_FKAGENCEID' => $request->all()['agence_id'],
                    'DIRECTOR_FKEMPLOYEEID' => $directeurId
                ]);

        }
        
        try {
            DB::table('rh_agences')
                ->where('AGENCE_ID', '=', $request->all()['agence_id'])
                ->update([
                    'AGENCE_COMPTEACTIF' => $request->all()['agence_compteactif'],
                    'AGENCE_TYPE' => $request->all()['agence_type'],
                    'AGENCE_NOM' => $request->all()['agence_nom'],
                    'AGENCE_ADRESSE' => $request->all()['agence_adresse'],
                    'AGENCE_ADRESSECOMPLEMENT' => $request->all()['agence_adressecomplement'],
                    'AGENCE_CODEPOSTAL' => $request->all()['agence_codepostal'],
                    'AGENCE_VILLE' => $request->all()['agence_ville'],
                    'AGENCE_RAISONSOCIALE' => $request->all()['agence_raisonsociale'],
                    'AGENCE_STATUTJURIDIQUE' => $request->all()['agence_statutjuridique'],
                    'AGENCE_CAPITAL' => $request->all()['agence_capital'],
                    'AGENCE_SITEWEB' => $request->all()['agence_siteweb'],
                    'AGENCE_TEL' => $request->all()['agence_tel'],
                    'AGENCE_EMAIL' => $request->all()['agence_email'],
                    'AGENCE_RCSVILLE' => $request->all()['agence_rcsville'],
                    'AGENCE_RCSSIREN' => $request->all()['agence_rcssiren'],
                    'AGENCE_ORIAS' => $request->all()['agence_orias'],
                    'AGENCE_RCPRO' => $request->all()['agence_rcpro'],
                    'AGENCE_RCPRONUMERO' => $request->all()['agence_rcpronumero'],
                    'AGENCE_RIB' => $request->all()['agence_rib'],
                    'AGENCE_IBAN' => $request->all()['agence_iban'],
                    'AGENCE_MENTIONSLEGALES1' => $request->all()['agence_mentionslegales1'],
                    'AGENCE_MENTIONSLEGALES2' => $request->all()['agence_mentionslegales2'],
                    'AGENCE_MENTIONSLEGALES3' => $request->all()['agence_mentionslegales3'],
                    'AGENCE_DATEENTREE' => $request->all()['agence_dateentree'],
                    'AGENCE_DATEDERNIERRENOUVELLEMENT' => $request->all()['agence_datedernierrenouvellement'],
                    'AGENCE_DATEECHEANCE' => $request->all()['agence_dateecheance'],
            ]);


        }
        catch (\Exception $e) {
            // Ignorer l'erreur
        }

        return back()->withInput();

    }
}
