<?php

namespace App\Http\Livewire\Users;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class UserFormOriasMod extends ModalComponent
{
    public $userId;

    public function userInfo()
    {
        return DB::table('rh_employees')
            ->select(['EMPLOYEE_PRENOM', 'EMPLOYEE_NOM'])
            ->where('EMPLOYEE_ID', '=', $this->userId)
            ->get();
    }

    public function oriasInfoUpdate()
    {

        if ($this->userId) {
            return DB::table('rh_orias')
                ->where('ORIAS_FKEMPLOYEEID', '=', $this->userId)
                ->orderBy('ORIAS_DEMANDEINSCRIPTION', 'desc')
                ->limit(1)
                ->get();
        }
    }

    public function oriasHistory()
    {

        if ($this->userId) {
            return DB::table('rh_orias')
                ->where('ORIAS_FKEMPLOYEEID', '=', $this->userId)
                ->orderBy('ORIAS_DEMANDEINSCRIPTION', 'desc')
                ->get();
        }
    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.users.user-form-orias-mod', [
            'userInfo' => $this->userInfo()[0],
            'oriasInfoUpdate' => $this->oriasInfoUpdate(),
            'oriasHistory' => $this->oriasHistory(),
            'userId' => $this->userId,
        ]);
    }
}
